<?php  

function ap_optinform() { ?>
  <center><!-- SQUEEZE PAGE OPTIN TABLE - SIDE POSITION --> 
  <div class="optinBox contentOptinBox"> <!-- AUTORESPONDER OPTION FORM START -->
      
      <?php outputOptinFormContent(); ?>                                 
     
  </div><!-- END OPTIN TABLE -->
  </center>
  

<?php }

function htmlAutoFormSubmitContent() {
   // ### If 'text' is not selected and custom is not seleted but there is a custom image then display selected button image...

    if (get_custom_field('sq-submitbutton-image') != 'text' && get_custom_field('sq-submitbutton-image') != 'custom' && get_custom_field('sq-submitbutton-cimage') == ''){ ?>

   <input name="btnSubmit" type="image" id="submit" style="margin:5px 0 0 5px;" value="Submit" src="<?php bloginfo('template_url'); ?>/squeezes/subbuttons/<?php get_custom_field('sq-submitbutton-image',true) ?>" align="middle" >
    
<?php } ?>

<?php // If button image is custom and there is a custom image then display the custom image...

    if (get_custom_field('sq-submitbutton-cimage') != ''){ ?>

    <input name="btnSubmit" type="image" id="submit" style="margin-bottom:10px; margin-top: 5px;" value="Submit" src="<?php get_custom_field('sq-submitbutton-cimage',true); ?>" align="middle" >
    
<?php } ?>

<?php // If button image is custom and there is no custom image url then display the custom image...

    if (get_custom_field('sq-submitbutton-image') == 'custom' && get_custom_field('sq-submitbutton-cimage') == ''){ ?>

    <p>RED ALERT!  You chose to use a custom image but didn't place the URL to the custom image in the field. Go check you settings to fix it.</p>
    
<?php } ?>

<?php // If 'text' is selected but there is no button text...

    if (get_custom_field('sq-submitbutton-image') == 'text' && get_custom_field('sq-submitbutton-text') == ''){ ?>

    <input name="btnSubmit" type="submit" id="submit" style="margin-bottom:10px; margin-top: 5px;" value="Sign Up Now" 
     align="middle" >
    
<?php } ?>

<?php // If 'text' is selected but there is input for button text...

    if (get_custom_field('sq-submitbutton-image') == 'text' && get_custom_field('sq-submitbutton-text') != ''){ ?>

    <input name="btnSubmit" type="submit" id="submit" style="margin-bottom:10px; margin-top: 5px;" value="<?php get_custom_field('sq-submitbutton-text',true); ?>" 
     align="middle" >
    
<?php }
}

function outputOptinFormContent() {
  
  $rawCode = replaceContinueString(get_custom_field('sq-optinform-code',false));
  
  
  preg_match_all('#<form.*method="post".*?>#', $rawCode , $formMethodPost);
  preg_match_all('#<input type="hidden".*?(?:</input>|/>)#', $rawCode , $hiddenFields);
  preg_match_all('#<input.*?type="text".*?(?:</input>|/>)#', $rawCode , $formFields);
  preg_match_all('#<input.*type="submit".*/>#', $rawCode , $submitForm);
  
  //print_r($matches);
  
  //Output Form Method
  foreach ($formMethodPost as $v1) { foreach ($v1 as $v2) { echo "$v2\n"; } }
  
  //Output Hidden Fields
  foreach ($hiddenFields as $v1) { foreach ($v1 as $v2) { echo "$v2\n"; } }
  
  //Output Form Fields
  foreach ($formFields as $v1) { foreach ($v1 as $v2) { echo "$v2\n"; } }
  
  //Output Form Fields
  //foreach ($submitForm as $v1) { foreach ($v1 as $v2) { echo "$v2\n"; } }
  
  htmlAutoFormSubmitContent();
  
  echo '</form>';
  
}

function strip_only($str, $tags) {
    if(!is_array($tags)) {
        $tags = (strpos($str, '>') !== false ? explode('>', str_replace('<', '', $tags)) : array($tags));
        if(end($tags) == '') array_pop($tags);
    }
    foreach($tags as $tag) $str = preg_replace('#</?'.$tag.'[^>]*>#is', '', $str);
    return $str;
}

//$str = '<p style="text-align:center">Paragraph</p><strong>Bold</strong><br/><span style="color:red">Red</span><h1>Header</h1>';
//echo strip_only($str, array('p', 'h1'));



// Create shortcode '[addoptin]' for in-content video posting
function add_optin($atts) {
    ob_start(); 
    ap_optinform();    
    $str = ob_get_contents(); 
    ob_end_clean(); 
    preg_replace('<p>','',$str);
    return $str; 
}
add_shortcode('addoptin', 'add_optin');